# class Byebug::ThreadCommand::ResumeCommand

Resumes the specified thread

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/thread/resume.rb, line 20
          def self.description
            <<-DESCRIPTION
              th[read] r[esume] <thnum>

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/thread/resume.rb, line 16
    def self.regexp
      /^\s* r(?:esume)? (?: \s* (\d+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/thread/resume.rb, line 28
    def self.short_description
      "Resumes execution of the specified thread"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/thread/resume.rb, line 32
    def execute
      return puts(help) unless @match[1]

      context, err = context_from_thread(@match[1])
      return errmsg(err) if err

      return errmsg(pr("thread.errors.already_running")) unless context.suspended?

      context.resume
      display_context(context)
    end